#include <stdlib.h>
#include <stdio.h>
#include <cmath>

int main ()
{
    int p, q, r;
    long long l, d;
    scanf ("%d%d%d%lld%lld", &p, &q, &r, &l, &d);
    if (p==1 || q==1 || r==1 || p==2 || q==2 || r==2)
        printf("0");
    else
    if (p==3 && q==3 && r==3)
    {
        long long res = (d-l)/3;
        if ((d-l)%3==1)
            if(d%3==0) res++;
        if ((d-l)%3==2)
            if(d%3==0 || (d-1)%3==0)
                res++;
        printf ("%lld", res);
    }
    else
    {
        long long i=1;
        while (ceil(i*1.0/p)+ceil(i*1.0/q)+ceil(i*1.0/r)+10>i)
            i++;
        long long res = 0;
        for (long long j=l; j<=i&&j<=d; j++)
            if (ceil(j*1.0/p)+ceil(j*1.0/q)+ceil(j*1.0/r)<=j)
                res++;
        if (l>i)
            res += d-l+1;
        else
            res += d-i;
        printf ("%lld", res);
    }

    return 0;
}